%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%  Template for HL-LHC Note class (single contribution) from https://espace.cern.ch/HiLumi/HLLHC%20Templates/Forms/AllItems.aspx
%  based on CERN Report class (http://cern.ch/DTP/)
%
%                                       
%  Last Mod.: 23 Jan 2017 davide.gamba@cern.ch                                
%  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{hllhcrep}[2017/01/22 hllhcrep package to re-define title page for HL-LHC documents. Version 1.0]

% definition of new fields
\def\cernnoteref#1{\gdef\@cernnoteref{#1}}    % see \@maketitle
\gdef\@cernnoteref{\hbox{}}
\def\authoremail#1{\gdef\@authoremail{#1}}  % see \@maketitle    
\gdef\@authoremail{\hbox{}}

% re-definition of title page including cern logo
\def\maketitle{\par
 \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
     \global\@topnum\z@        % Prevents figures from going at top of page.
     \@maketitle \@thanks
 \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax}
 \def\@maketitle{
                {\noindent \includegraphics[height=2cm]{CERNLogo}
                    \hfill
                    \includegraphics[height=2cm]{clear.png} 
                }\par
                \begin{flushright}
                  {\Large\bfseries\@cernnoteref} \\[3mm]
                  {\small\@date} \\[3mm]
                  {\small\@authoremail} \par
                \end{flushright}
                \mbox{}\\[10mm]
                \begin{flushleft}
                    \baselineskip1.2\baselineskip\Large\bfseries \@title\par
                \end{flushleft}
               % \mbox{}\\[0mm]
                \begin{flushleft}
                    {\normalsize\itshape\@author}\\
                    {\normalsize\rmfamily\@institute}
                \end{flushleft}
                \thispagestyle{empty}
               }

\endinput
